Reply
Explorer
Posts: 13
Registered: ‎10-28-2016

dependency problems when install impala-kudu using individual packages without Cloudera Manager

[ Edited ]

Hi,

I am installing impala-kudu on Ubuntu Trusty using individual packages without Cloudera Manager. I download the packages @ http://archive.cloudera.com/beta/impala-kudu/ubuntu/trusty/amd64/impala-kudu/pool/contrib/i/impala-k... and install them using 'dpkg -i' . However ,dependency problems occurs:

 

dpkg: dependency problems prevent configuration of impala-kudu:
impala-kudu depends on bigtop-utils (>= 0.7); however:
Package bigtop-utils is not installed.
impala-kudu depends on hadoop; however:
Package hadoop is not installed.
impala-kudu depends on hadoop-hdfs; however:
Package hadoop-hdfs is not installed.
impala-kudu depends on hadoop-yarn; however:
Package hadoop-yarn is not installed.
impala-kudu depends on hadoop-mapreduce; however:
Package hadoop-mapreduce is not installed.
impala-kudu depends on hbase; however:
Package hbase is not installed.
impala-kudu depends on hive (>= 0.12.0+cdh5.1.0); however:
Package hive is not installed.
impala-kudu depends on zookeeper; however:
Package zookeeper is not installed.
impala-kudu depends on libhdfs0; however:
Package libhdfs0 is not installed.
impala-kudu depends on avro-libs; however:
Package avro-libs is not installed.
impala-kudu depends on parquet; however:
Package parquet is not installed.
impala-kudu depends on sentry (>=
dpkg: error processing package impala-kudu (--install):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of impala-kudu-dbg:
impala-kudu-dbg depends on impala-kudu (= 2.7.0+cdh5.9.0+0-1.cdh5.9.0.p0.109~trusty-impala-kudu1.0.0); however:
Package impala-kudu is not configured yet.

dpkg: error processing package impala-kudu-dbg (--install):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of impala-kudu-server:
impala-kudu-server depends on impala-kudu (= 2.7.0+cdh5.9.0+0-1.cdh5.9.0.p0.109~trusty-impala-kudu1.0.0); however:
Package impala-kudu is not configured yet.

dpkg: error processing package impala-kudu-server (--install):
dependency problems - leaving unconfigured
Setting up impala-kudu-shell (2.7.0+cdh5.9.0+0-1.cdh5.9.0.p0.109~trusty-impala-kudu1.0.0) ...
dpkg: dependency problems prevent configuration of impala-kudu-state-store:
impala-kudu-state-store depends on impala-kudu (= 2.7.0+cdh5.9.0+0-1.cdh5.9.0.p0.109~trusty-impala-kudu1.0.0); however:
Package impala-kudu is not configured yet.

dpkg: error processing package impala-kudu-state-store (--install):
dependency problems - leaving unconfigured
Setting up impala-kudu-udf-dev (2.7.0+cdh5.9.0+0-1.cdh5.9.0.p0.109~trusty-impala-kudu1.0.0) ...
update-alternatives: using /usr/lib/libImpalaUdf-retail.a to provide /usr/lib/libImpalaUdf.a (libImpalaUdf) in auto mode
Processing triggers for ureadahead (0.100.0-16) ...
Errors were encountered while processing:
impala-kudu
impala-kudu-dbg
impala-kudu-server
impala-kudu-state-store

 

I have already installed Hadoop ,kudu and Hive etc and I am wondering why these errors are reported. I totally have no idea what to do to solve it? Any pointer?

By the way, I want to know whether it will do unexpected damage to the current lab cluster if I build impala-kudu from source.

 

Regards,

Bob

Explorer
Posts: 13
Registered: ‎10-28-2016

Re: dependency problems when install impala-kudu using individual packages without Cloudera Manager

The reason may be impala-kudu is based on CDH but not Apache hadoop.

Is there a way to install impala-kudu with the existing Apache Hadoop ?

Cloudera Employee
Posts: 47
Registered: ‎02-05-2016

Re: dependency problems when install impala-kudu using individual packages without Cloudera Manager

As you've observed, the impala-kudu packages depend on CDH, which means you need to have a CDH apt repository on your system from which impala-kudu can find certain CDH dependencies.

These impala-kudu packages are provided by Cloudera and so naturally depend on the rest of Cloudera's distribution. Even if you made it past the package dependency hurdles, they are unlikely to work with upstream Apache Hadoop. Your best bet is to wait until impala-kudu is sunsetted (that is, wait for the first CDH release to include a version of Impala with built-in support for Kudu). At that point, it's possible that the upstream Apache Impala (http://impala.apache.org/) will work with the various upstream Apache Hadoop projects.

Apologies for the speculation; I myself work on Kudu so I'm less familiar with all of that.
Announcements
Unanswered Topics
No posts to display.